<?xml version="1.0"?>
<root
  xmlns="http://panopainter.com/layout.xsd"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
>

  <layout id="tpl-panel-layers">
    <node width="300" margin="0 0 10 0" rtl="ltr">
      <border id="title" height="30" color=".4" align="center" justify="center" margin="0 0 0 0">
        <text text="Layers" color="1 1 1 1"/>
      </border>

      <border height="35" color=".4" dir="row" align="center" flood-events="1" pad="0 0 5 0">
        <checkbox id="alpha-lock" icon="data/ui/check-lock-transparency.png" width="30" margin="0 5 0 5"/>
        <combobox id="blend-mode" width="100" height="30" margin="0 5 0 0" combo-list="Normal,-,Multiply,Screen,-,Color Dodge,Overlay"/>
        <slider-h id="opacity" value="1" grow="1" width="1" margin="0 5 0 0"/>
      </border>

      <scroll id="layers-container" pad="5" color=".4" dir="col-reverse" justify="flex-end" flood-events="1" grow="1" shrink="1">
        <!--layers list-->
      </scroll>

      <border height="40" color=".5" dir="row" align="center" flood-events="1">
        <button-custom id="btn-add" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 5">
          <icon width="30" icon="add"/>
        </button-custom>
        <button-custom id="btn-duplicate" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 5">
          <icon width="30" icon="page_copy"/>
        </button-custom>
        <button-custom id="btn-up" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_up"/>
        </button-custom>
        <button-custom id="btn-down" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 2 0 0">
          <icon width="30" icon="bullet_arrow_down"/>
        </button-custom>
        <node grow="1"></node>
        <button-custom id="btn-remove" thickness="1" color="0 0" border-color=".0" shrink="1" margin="0 10 0 0">
          <icon width="30" icon="bin_closed"/>
        </button-custom>
      </border>
    </node>
  </layout>
  <layout id="tpl-layer">
    <border height="30" border-color="1" thickness="1" color=".4" dir="col" margin="1 0 1 0">
      <node dir="row" height="30">
        <node width="30" pad="1">
          <checkbox id="cb" icon="data/ui/check-layer-visibility.png"/>
        </node>
        <node width="1" grow="1" justify="center" pad="5">
          <text id="label"/>
        </node>
      </node>
    </border>
  </layout>

</root>
